Back to Redis

Check

content/operate/rs/7.8/references/rest-api/requests/cluster/check.md

latest2.7 KB
Original Source
MethodPathDescription
GET/v1/cluster/checkRuns checks on all cluster nodes

Check all nodes {#get-cluster-check}

GET /v1/cluster/check

Runs the following checks on all cluster nodes:

Check nameDescription
bootstrap_statusVerifies the local node's bootstrap process completed without errors.
servicesVerifies all Redis Enterprise Software services are running.
port_rangeVerifies the ip_local_port_range doesn't conflict with the ports Redis Enterprise might assign to shards.
pidfilesVerifies all active local shards have PID files.
capabilitiesVerifies all binaries have the proper capability bits.
existing_socketsVerifies sockets exist for all processes that require them.
host_settingsVerifies the following:
• Linux overcommit_memory setting is 1.
transparent_hugepage is disabled.
• Socket maximum connections setting somaxconn is 1024.
tcp_connectivityVerifies this node can connect to all other alive nodes.

Required permissions

Permission name
[view_all_nodes_checks]({{< relref "/operate/rs/7.8/references/rest-api/permissions#view_all_nodes_checks" >}})

Request {#get-request}

Example HTTP request

GET /v1/cluster/check

Request headers

KeyValueDescription
Hostcnm.cluster.fqdnDomain name
Acceptapplication/jsonAccepted media type

Response {#get-response}

Returns a JSON array with results from all nodes.

When errors occur, the server returns a JSON object with result: false and an error field that provides additional information for each node that had an error. If an error occurs during a check, the error field only includes a message for the first check that fails on each node.

Possible error messages:

  • "bootstrap request to cnm_http failed,resp_code: ...,resp_content: ..."
  • "process ... is not running or not responding (...)"
  • "could not communicate with 'supervisorctl': ..."
  • "connectivity check failed retrieving ports for testing"

Example JSON body

json
{
  "cluster_test_result": false,
  "nodes": [
    {
      "node_uid": "1",
      "result": true
    },
    {
      "node_uid": "2",
      "result": true
    },
    {
      "node_uid": "3",
      "result": false,
      "error": "process alert_mgr is not running or not responding ([Errno 111] Connection refused)"
    }
  ]
}

Status codes {#get-status-codes}

CodeDescription
200 OKNo error